//find.c
void find01(int dbg=0)
	{
	//Открытие бинарного файла для чтения
	io.open(FileName, ios::in|ios::binary);
	if(!io)
		{
		pri("Ошибка открытия бинарного файла для поиска");
		exit(0);
		}
	menu_dofind:
	cout << "\n\n Что будем искать?";
	printf("\n 1 - Название секции\
	      \n 2 - ФИО тренера\
	      \n 3 - Длительность тренировки (мин.)\
	      \n 4 - Стоимость тренировки (USD)\
	      \n 5 - Количество человек (чел.)\
	      \n Esc - Вернуться в главное меню \
	      \n\nВыберите соответствующий пункт:");
	char name[20];
	ChimesIn();
	dofind:
	presskey1 = getch();
	if (presskey1==27) {goto exit_dofind;}
	if ((presskey1<'1')||(presskey1>'5'))
	{
	ErrSnd();
	goto dofind;
	}

	HighBeep();
	printf("\n");
	if (presskey1=='1')
	{
	cout << "\n           Поиск по Названию секции\n\n";
	fout << "\n           Поиск по Названию секции\n\n";
	}
	if (presskey1=='2')
	{
	cout << "\n           Поиск по ФИО Тренера\n\n";
	fout << "\n           Поиск по ФИО Тренера\n\n";
	}
	if (presskey1=='3')
	{
	cout << "\n           Поиск по Длительности тренировки\n\n";
	fout << "\n           Поиск по Длительности тренировки\n\n";
	}
	if (presskey1=='4')
	{
	cout << "\n           Поиск по Стоимости тренировки\n\n";
	fout << "\n           Поиск по Стоимости тренировки\n\n";
	}
	if (presskey1=='5')
	{
	cout << "\n           Поиск по Количеству спорстменов\n\n";
	fout << "\n           Поиск по Количеству спорстменов\n\n";
	}


		char key;
		do_find:
		printf("\n\n");
		if (presskey1=='1') cout << "Введите название секции: ";
		if (presskey1=='2') cout << "Введите имя тренера: ";
		if (presskey1=='3') cout << "Введите время длительности тренировки (мин): ";
		if (presskey1=='4') cout << "Введите стоимость занятий (Доллар США): ";
		if (presskey1=='5') cout << "Введите целое значение Количества спортсменов: ";
		cin.getline(name, 10);

		if (!((presskey1>='3')&&(presskey1<='5'))) filter_(name, dbg);

		printf("\n");
		if (presskey1=='1') cout << "\nИщем записи с секцией - \"" << name << "\":\n";
		if (presskey1=='2') cout << "\nИщем записи с тренером - \"" << name << "\":\n";
		if (presskey1=='3') cout << "\nИщем записи с временем тренировки " << name << " минут:\n";
		if (presskey1=='4') cout << "\nИщем записи со стоимостью занятий - $" << name << ":\n";
		if (presskey1=='5') cout << "\nИщем записи с количеством спортсменов - " << name << " человек:\n";
		if(!strcmp(name, ""))
		{
			goto do_find;
		}
		io.seekg(0, ios::beg);
		counter=0;
		while(io.peek()!=EOF)
			{
			io.read((char*)&st, z);

			if (presskey1=='1')
			if(strcmp(st.s_name, name)==0)
				{
				p();
				counter++;
				}

			if (presskey1=='2')
			if(strcmp(st.FN_trainer, name)==0)
				{
				p();
				counter++;
				}

			if (presskey1=='3')
			{
			char st_delaytr[80];
			sprintf(st_delaytr, "%i\0", st.delay_tr);
			if(strcmp(st_delaytr, name)==0)
				{
				p();
				counter++;
				}
			}

			if (presskey1=='4')
			{
			char st_cost_ts[80];
			sprintf(st_cost_ts, "%i\0", st.cost_ts);
			if(strcmp(st_cost_ts, name)==0)
				{
				p();
				counter++;
				}
			}

			if (presskey1=='5')
			{
			char st_sprtmen_q[80];
			sprintf(st_sprtmen_q, "%i\0", st.sprtmen_q);
			if(strcmp(st_sprtmen_q, name)==0)
				{
				p();
				counter++;
				}
			}

			}
			if (!counter)
			{
			fout << "[ Ничего не найдено! ]\n";
			cout << "\n\n[ Ничего не найдено! ]\n\n";
			ErrSnd();
			}
			else
			{
			register int cntrold=counter;
			while(cntrold>100)
				cntrold-=100;
			while(cntrold>20)
				if (cntrold-10<21)
				cntrold-=20;
				else
				cntrold-=10;

			LowBeep();
			if (cntrold==1)
			cout << "\nНайдена " << counter << " запись\n";
			else
			if ((cntrold>1)&&(cntrold<5))
			cout << "\nНайдено " << counter << " записи\n";
			else
			if ((cntrold>4)&&(cntrold<21))
			cout << "\nНайдено " << counter << " записей\n";
			}
		cout << "\n\nХотите найти еще? (Y/N)";
		if (((key=getch())=='Y')||(key=='y')) goto do_find;
	goto menu_dofind;
	exit_dofind:
	printf("\n\n");
	io.close();
	}
